package cn.com.ty.lift.enterprise.oa.controller;

import cn.com.ty.lift.enterprise.common.RestResult;
import cn.com.ty.lift.enterprise.oa.entity.Announcement;
import cn.com.ty.lift.enterprise.oa.service.AnnouncementService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 公司公告
 */
@Slf4j
@RestController
@RequestMapping("announcement")
public class AnnouncementController {
    @Autowired
    private AnnouncementService announcementService;

    /**
     * @param
     * @return
     * @description
     * @date 2019/11/27 10:11
     */
    @PostMapping("findOne")
    public RestResponse<Announcement> findOne(Long id) {
        log.info("id: " + id);
        Announcement entity = announcementService.getById(id);
        return RestResult.okData(entity);
    }

    @PostMapping("list")
    public RestResponse<IPage<Announcement>> list(int pageNum, int pageSize, Long mtCompanyId){
        IPage<Announcement> results = announcementService.selectByCondition(pageNum,pageSize,mtCompanyId);
        if(null == results){
            return RestResult.errException();
        }
        return RestResult.okData(results);
    }

    @PostMapping("add")
    public RestResponse<Object> add(Announcement entity){
        if(null == entity){
            return RestResult.errParam();
        }
        boolean result = announcementService.save(entity);

        return RestResult.okData(result);
    }

    @PostMapping("delete")
    public RestResponse<Boolean> delete(Long id){
        boolean result = announcementService.removeById(id);
        return RestResult.okData(result);
    }
}
